Get Channels List
/v1/channelsRetrieves a paginated list of channels. Requires channel:read scope. Sorted by creation date descending.
Authorization
BearerAuth In: header
Query Parameters
Maximum number of results per page (max 100).
value <= 100Cursor for pagination (get next page).
uuidCursor for pagination (get previous page).
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/channels"{ "data": [ { "id": "550e8400-e29b-41d4-a716-446655440000", "name": "Channel Name" } ], "metadata": { "after": "7a30ad46-76a3-42df-9c0c-3fcf1b10f9d2", "before": "2db87b94-212f-4f6f-badd-03b6dd6a1a4e" }}Update an existing API tool PUT
Updates an existing API-type chatbot tool configuration. Tools updated here will share the same prefix as the normally created tools, therefore it is recommended to use a unique name for the tool updated here to prevent conflicts. Requires `bot:write` scope.
Set the bot paused state on a conversation POST
Enables or disables the paused state of the bot for the given conversation. When the requested state already matches the current state, the request is a no-op and returns 204. Returns 404 when no bot is associated with the conversation. Requires `chat:write` scope.